## Struct user_details

zeep::http::user_details — simple storage class for user details, returned by user_service

## Synopsis

    // In header: <zeep/http/security.hpp>

    struct user_details {
      // construct/copy/destruct
      ();
      (, ,
                   );

      // public data members
       username;
       password;
       roles;
    };

## Description

The user_details struct contains all the information needed to allow access to a resource based on username. The password is the encrypted password.

### `user_details` public construct/copy/destruct

1.     ();

2.     ( username,  password,
                     roles);